> For the complete documentation index, see [llms.txt](https://docs.evitalrx.in/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.evitalrx.in/api-for-doctor-portal/patients/get-patient.md).

# Get Patient

## Get Patient

<mark style="color:green;">`POST`</mark> [`{{apiUrl}}doctor/patients/view`](https://api.evitalrx.in/v1/doctor/patients/view)

#### Request Body

| Name                                          | Type    | Description                                                                                                                   |
| --------------------------------------------- | ------- | ----------------------------------------------------------------------------------------------------------------------------- |
| patient\_id<mark style="color:red;">\*</mark> | String  | Unique id of the Patient                                                                                                      |
| apikey<mark style="color:red;">\*</mark>      | String  | Authentication token                                                                                                          |
| mobile<mark style="color:red;">\*</mark>      | String  | Either patient\_id or mobile should be passed.                                                                                |
| show\_family\_list                            | Boolean | <p>Default: false</p><p></p><p>If passed true then patient's family member details will be added in the response. </p><p></p> |

{% tabs %}
{% tab title="200: OK Patient retrived successfully" %}

```json
{
    "status_code": "1",
    "status_message": "Success",
    "datetime": "2024-01-25 16:07:36",
    "data": [
        {
            "firstname": "Manav",
            "lastname": "Patel",
            "zipcode": "380005",
            "mobile": "9846251658",
            "family_member_list": [ // family members if any
                {
                    "id": "dXuOGHX5xlrfXQkkByAX3g==",
                    "firstname": "Poojan",
                    "lastname": "Mehta",
                    "zipcode": "380005",
                    "mobile": "9887878787"
                },
                {
                    "id": "dXuOGHX5xlrfXQkkByAX3g==",
                    "firstname": "Jay",
                    "lastname": "Patel",
                    "zipcode": "",
                    "mobile": ""
                }
            ],
            "patient_id": "dXuOGHX5xlrfXQkkByAX3g==",
            "custom_fields": { // addtionaly fields related to patient
                "patient_ipd_id": "IPD1234",
                "patient_mapped_id": "PMID9876"
            }
        }
    ]
}
```

{% endtab %}

{% tab title="200: OK Validation Error" %}

```json
{
    "status_code": "0",
    "status_message": "\"patient_id\" is required",
    "datetime": "2022-12-07 12:32:04",
    "data": null
}
```

{% endtab %}
{% endtabs %}

## Get Patient

<mark style="color:green;">`POST`</mark> `https://api.evitalrx.in/v1/doctor/patients/view`

#### Request Body

| Name                                          | Type    | Description  |
| --------------------------------------------- | ------- | ------------ |
| patient\_id<mark style="color:red;">\*</mark> | String  | 1A62EQMlDx8t |
| apikey<mark style="color:red;">\*</mark>      | String  | V6oBy7oMFZbX |
| mobile<mark style="color:red;">\*</mark>      | String  | AsD3PhN0mKYs |
| show\_family\_list                            | Boolean | 2dHrkQuS9UDT |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.evitalrx.in/api-for-doctor-portal/patients/get-patient.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
